package com.ruoyi.frequency.shield.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.controller.req.ShieldPageReq;
import com.ruoyi.controller.req.ShieldUserReq;
import com.ruoyi.frequency.shield.entity.Shield;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserVo;

import java.util.List;

/**
 * 屏蔽用户Service接口
 * 
 * @author liwenlong
 * @date 2023-07-22
 */
public interface ShieldService extends IService<Shield>
{
    /**
     * 查询屏蔽用户
     * 
     * @param id 屏蔽用户主键
     * @return 屏蔽用户
     */
    public Shield selectShieldById(Long id);

    /**
     * 查询屏蔽用户列表
     * 
     * @param shield 屏蔽用户
     * @return 屏蔽用户集合
     */
    public List<Shield> selectShieldList(Shield shield);

    /**
     * 新增屏蔽用户
     * 
     * @param shield 屏蔽用户
     * @return 结果
     */
    public int insertShield(Shield shield);

    /**
     * 修改屏蔽用户
     * 
     * @param shield 屏蔽用户
     * @return 结果
     */
    public int updateShield(Shield shield);

    /**
     * 批量删除屏蔽用户
     * 
     * @param ids 需要删除的屏蔽用户主键集合
     * @return 结果
     */
    public int deleteShieldByIds(Long[] ids);

    /**
     * 删除屏蔽用户信息
     * 
     * @param id 屏蔽用户主键
     * @return 结果
     */
    public int deleteShieldById(Long id);

    ResponseData shieldUser(ShieldUserReq req, UserVo userVo);

    ResponseData shieldPage(ShieldPageReq req, UserVo userVo);

    ResponseData otherShieldPage(ShieldPageReq req,UserVo userVo);

    ResponseData shieldUserVersion2(ShieldUserReq req, UserVo userVo);

    ResponseData cancelShieldUserVersion2(ShieldUserReq req, UserVo userVo);
}
